#
# RIB configuration file for simple variant of RIG BIDM
#                              
# $Id: Simple.conf,v 1.3 1998/01/22 02:51:41 rib Exp $
#
# $Log: Simple.conf,v $
# Revision 1.3  1998/01/22 02:51:41  rib
# Changed Simple.conf so that it now has the File attribute in
# the Asset class.
#
# FullBIDM.conf had a problem because the description for one
# of the Attributes (I think it was Element.UniqueID?) looked
# silly.
#
# Revision 1.2  1997/12/18 18:55:40  rib
# took out a confusing (to me) reference to pre 1.0 RIB
#
# Revision 1.1.1.1  1997/12/10 15:59:33  jhorner
#
# Revision 1.1  1997/05/06 18:26:44  jhorner
# Initial revision
#

<class name="RigObject">
  <attribute name="Name" req mult dtype="string">
    Name or title for the object.
  </attribute>
</class>

<class name="Asset" extends="RigObject">
  <attribute name="Name" req mult dtype="string">
    Name or title for the asset.
  </attribute>
  <attribute name="Abstract" req dtype="text">
    General definition or explanation of the asset.
  </attribute>
  <attribute name="DateOfInformation" req dtype="date">
    The date the information about the asset was last updated
  </attribute>
  <attribute name="Domain" req mult dtype="string">
    Broad area of interest, application area, or area of activity or
    knowledge.  (This attribute uses a controlled vocabulary).
  </attribute>
  <attribute name="Restrictions" dtype="text">
    Legal information governing the use of the asset, including
    possibly copyright, data rights, disclaimers, export restrictions,
    and licenses.
  </attribute>
  <attribute name="TargetEnvironment" dtype="text">
    Computer system, operating system, and/or compiler for which the asset
    was developed.
  </attribute>
  <attribute name="Version" dtype="string">
    The designation of the version of an asset (usually a number).
  </attribute>
  <attribute name="VersionDate" dtype="date">
    The publication date for the given version of the asset (i.e., the
    date the asset was made available for public use).
  </attribute>
  <attribute name="Webpage" dtype="url">
  </attribute>
  <attribute name="File" mult dtype="url" alt="File(s)">
    URL(s) which point to the file(s) described by the Asset.
  </attribute>
<attribute name="DeploymentStatus" dtype="url" alt="Deployment Status">
    A url pointing to the deployment status of this Asset
</attribute>
  <relationship name="ContactIs" dest="Organization" req mult>
    An organization that originated or produced this asset (an organization
    can be a person).
  </relationship>
</class>

<class name="Organization" extends="RigObject">
  <attribute name="Name" req mult dtype="string">
    Name or title for the organization.
  </attribute>
  <attribute name="Email" req dtype="email">
    An electronic mail address for the organization.
  </attribute>
  <attribute name="Telephone" dtype="string">
    A (voice) telephone number for the organization.
  </attribute>
</class>




